Bug 362661 - Miro-0.9.8.1-7.fc8 dbus bindings problem
Miro-0.9.8.1-7.fc8 dbus bindings problem
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Miro (Show other bugs)
8
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Thorsten Scherf
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-01 17:14 EDT by Neal Becker
Modified: 2008-04-16 01:27 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.9.9.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-16 01:27:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2007-11-01 17:14:46 EDT
Description of problem:
Miro.x86_64 0:0.9.8.1-7.fc8
Dependency Installed: gnome-python2-gtkmozembed.x86_64 0:2.19.1-9.fc8
Complete!
[nbecker@nbecker1 ~]$ miro
/usr/lib/python2.5/site-packages/dbus_bindings.py:1: DeprecationWarning: The 
dbus_bindings module is not public API and will go away soon.

Most uses of dbus_bindings are applications catching the exception
dbus.dbus_bindings.DBusException. You should use dbus.DBusException
instead (this is compatible with all dbus-python versions since 0.40.2).

If you need additional public API, please contact the maintainers via
<dbus@lists.freedesktop.org>.

  from dbus.dbus_bindings import *
Traceback (most recent call last):
  File "/usr/bin/miro", line 102, in <module>
    iface.HandleArgs(dbusargs)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 63, in 
__call__
    return self._proxy_method(*args, **keywords)
  File "/usr/lib/python2.5/site-packages/dbus/proxies.py", line 135, in 
__call__
    **keywords)
  File "/usr/lib/python2.5/site-packages/dbus/connection.py", line 603, in 
call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Python.AttributeError: 
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/dbus/service.py", line 655, in 
_message_cb
    retval = candidate_method(self, *args, **keywords)
  File "/usr/lib64/python2.5/site-packages/miro/onetime.py", line 125, in 
HandleArgs
    app.controller.frame.widgetTree['main-window'].present()
AttributeError: 'NoneType' object has no attribute 'widgetTree'

[nbecker@nbecker1 ~]$             

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Alex Lancaster 2007-11-09 03:32:59 EST
There is a pending update for F-8 that should fix this, please try:

https://admin.fedoraproject.org/updates/F8/pending/Miro-0.9.9.9-1.fc8
Comment 2 Neal Becker 2007-11-09 06:26:25 EST
(In reply to comment #1)
> There is a pending update for F-8 that should fix this, please try:
> 
> https://admin.fedoraproject.org/updates/F8/pending/Miro-0.9.9.9-1.fc8

sudo yum install Miro-0.9.9.9-1.fc8.x86_64.rpm 
Setting up Install Process
Parsing package install arguments
Examining Miro-0.9.9.9-1.fc8.x86_64.rpm: Miro - 0.9.9.9-1.fc8.x86_64
Marking Miro-0.9.9.9-1.fc8.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package Miro.x86_64 0:0.9.9.9-1.fc8 set to be updated
--> Processing Dependency: gecko-libs = 1.8.1.9 for package: Miro
--> Processing Dependency: gnome-python2-gtkmozembed for package: Miro
--> Running transaction check
---> Package Miro.x86_64 0:0.9.9.9-1.fc8 set to be updated
--> Processing Dependency: gecko-libs = 1.8.1.9 for package: Miro
---> Package gnome-python2-gtkmozembed.x86_64 0:2.19.1-9.fc8 set to be updated
--> Finished Dependency Resolution
Error: Missing Dependency: gecko-libs = 1.8.1.9 is needed by package Miro
Comment 3 Alex Lancaster 2007-11-09 14:58:09 EST
Yeah, and you'll need to wait for the firefox update (2.0.0.9) to go through to
updates (or download it manually via koji).  Sorry, had to build for the new
firefox at the same time.
Comment 4 Fedora Update System 2007-11-09 18:53:26 EST
Miro-0.9.9.9-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update Miro'
Comment 5 Fedora Update System 2007-11-10 01:01:34 EST
Miro-0.9.9.9-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Bug Zapper 2008-04-04 10:21:44 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Jack Deslippe 2008-04-16 01:27:13 EDT
I can confirm that this bug has been fixed.  So, I am closing it. 

Note You need to log in before you can comment on or make changes to this bug.